0

I've a problem with OBS source code, because it isn't detecting ffmpeg who's installed on my computer.

[mlodybukk@localhost build]$ cmake -DUNIX_STRUCTURE=0 -DCMAKE_INSTALL_PREFIX="${HOME}/obs-studio-portable" ..
-- OBS_VERSION: 0.0.1
CMake Warning at CMakeLists.txt:227 (find_package):
  By not providing "FindQt5Widgets.cmake" in CMAKE_MODULE_PATH this project
  has asked CMake to find a package configuration file provided by
  "Qt5Widgets", but CMake did not find one.

  Could not find a package configuration file provided by "Qt5Widgets" with
  any of the following names:

    Qt5WidgetsConfig.cmake
    qt5widgets-config.cmake

  Add the installation prefix of "Qt5Widgets" to CMAKE_PREFIX_PATH or set
  "Qt5Widgets_DIR" to a directory containing one of the above files.  If
  "Qt5Widgets" provides a separate development package or SDK, be sure it has
  been installed.


CMake Error at /usr/share/cmake/Modules/FindPackageHandleStandardArgs.cmake:137 (message):
  Could NOT find FFmpeg (missing: FFMPEG_AVCODEC_LIBRARIES
  FFMPEG_AVCODEC_INCLUDE_DIRS avcodec avdevice avutil avformat)
Call Stack (most recent call first):
  /usr/share/cmake/Modules/FindPackageHandleStandardArgs.cmake:378 (_FPHSA_FAILURE_MESSAGE)
  cmake/Modules/FindFFmpeg.cmake:151 (find_package_handle_standard_args)
  deps/media-playback/CMakeLists.txt:3 (find_package)


-- Configuring incomplete, errors occurred!
See also "/home/mlodybukk/Pobrane/

Edit 1: After installation of ffmpeg-devel and some other required codecs I got an error:

CMake Error at UI/CMakeLists.txt:59 (find_package):
  By not providing "FindQt5Svg.cmake" in CMAKE_MODULE_PATH this project has
  asked CMake to find a package configuration file provided by "Qt5Svg", but
  CMake did not find one.

  Could not find a package configuration file provided by "Qt5Svg" with any
  of the following names:

    Qt5SvgConfig.cmake
    qt5svg-config.cmake

  Add the installation prefix of "Qt5Svg" to CMAKE_PREFIX_PATH or set
  "Qt5Svg_DIR" to a directory containing one of the above files.  If "Qt5Svg"
  provides a separate development package or SDK, be sure it has been
  installed.


-- Configuring incomplete, errors occurred!
See also "/home/mlodybukk/Pobrane/obs-studio-25.0.8/build/CMakeFiles/CMakeOutput.log".
See also "/home/mlodybukk/Pobrane/obs-studio-25.0.8/build/CMakeFiles/CMakeError.log".
[mlodybukk@localhost build]$ 

How can I repair this?

6
  • How did you install ffmpeg? – jsbillings Jul 7 '20 at 2:05
  • I've installed ffmpeg from RPM Fusion repository – mlodybukk Jul 7 '20 at 7:37
  • Did you install ffmpeg-devel? – jsbillings Jul 7 '20 at 11:34
  • Hi. I didn't have it, but after installation of ffmpeg-devel i got an next error. Check my edited post to see it. (I've marked this as "Edit 1:") – mlodybukk Jul 7 '20 at 14:23
  • Probably needs some Qt5 devel packages. I’d have to search to find out which. – jsbillings Jul 7 '20 at 16:01
0

So, OBS has needed some packages which I didn't have on my disk. List of packages which are required to build OBS and installation progress are on the OBS HELP page, namely:

sudo yum install \
   make \
   gcc \
   gcc-c++ \
   gcc-objc \
   cmake \
   git \
   libX11-devel \
   mesa-libGL-devel \
   libv4l-devel \
   pulseaudio-libs-devel \
   libspeexdsp-devel \
   x264-devel \
   freetype-devel \
   fontconfig-devel \
   libXcomposite-devel \
   libXinerama-devel \
   qt5-qtbase-devel \
   qt5-qtx11extras-devel \
   qt5-qtsvg-devel \
   libcurl-devel \
   systemd-devel \
   ffmpeg \
   ffmpeg-devel \
   luajit-devel \
   python3-devel \
   mbedtls \
   mbedtls-devel \
   swig

Thanks for help! (jsbillings helped me the most. Thank you!)

0

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.